注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

Wei Ding blog

 
 
 

日志

 
 

SyntaxError: ('invalid syntax', ('/usr/lib/python2.6/site-packages/pyami/fft/calc_fftw3.py', 110, 10, '\t\tCreate a new fft_array by cropping or padding that will invert to\n'))  

2014-04-30 10:57:13|  分类: leginon |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |
安装pyami时候出现这个错误,打开'/usr/lib/python2.6/site-packages/pyami/fft/calc_fftw3.py'一看,我到神,这样到错误得有多低级。
                '''wrapper around fftw3.Plan to combine global and custom args'''
                all_kwargs = {}
                all_kwargs.update(global_plan_kwargs)
                all_kwargs.update(kwargs)
                plan = fftw3.Plan(*args, **all_kwargs)
                '''(注意这里,这个注释是啥意思啊?估计是不小心留下的)
                return plan
把多余到注释干掉,一切ok。
  评论这张
 
阅读(215)| 评论(0)
推荐 转载

历史上的今天

在LOFTER的更多文章

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2017